Debian Bug report logs - #597237
live-manual: includes non-free files

version graph

Package: live-manual; Maintainer for live-manual is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-manual is src:live-manual.

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Fri, 17 Sep 2010 20:57:01 UTC

Severity: serious

Found in versions live-manual/1:2.0~a2-1, live-manual/1:2.0~a4-1

Fixed in versions live-manual/1:2.0~a6-1, live-manual/1:2.0~a7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Fri, 17 Sep 2010 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 17 Sep 2010 20:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Francesco Poli \(t1000\)" <frx@firenze.linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-manual: includes non-free files
Date: Fri, 17 Sep 2010 22:54:29 +0200
Package: live-manual
Version: 1:2.0~a4-1
Severity: serious
Justification: Policy 2.2.1

Hi!

According to
http://packages.debian.org/changelogs/pool/main/l/live-manual/live-manual_2.0~a4-1/live-manual.copyright
the live-manual package seems to include two non-free files.


The first troublesome file is:

[...]
| Files: html/image.png
| Copyright: (C) 1999 Software in the Public Interest, Inc.
| License: other
|  This logo or a modified version may be used by anyone to refer to the Debian
|  project, but does not indicate endorsement by the project.
[...]

This is the Debian Open Use Logo with the word "Debian", which
fails to comply with the DFSG and cannot therefore be included
in a package shipped in main.

For further details on this issue, please take a look at the
many discussions held on debian-legal. For instance, see
http://lists.debian.org/debian-legal/2010/06/msg00012.html
http://bugs.debian.org/587482

I suggest that you replace this image with the Debian Open Use Logo
without the word "Debian", which complies with the DFSG, being
distributable under the terms of the Expat license, just like
html/favicon.ico


The second problematic file is:

[...]
| Files: html/stylesheet.css
| Copyright: (C) 1999-2009 Software in the Public Interest, Inc.
| License: OPL-1
|  Open Publication License
|  v1.0, 8 June 1999
[...]

The Open Publication License v1.0 fails to meet the DFSG, please see
http://lists.debian.org/debian-legal/2004/03/msg00226.html
http://bugs.debian.org/238245#40
for further details.
As a consequence, a CSS stylesheet released under the terms of the
OPL cannot be included in a package shipped in main.

I suggest that you ask the copyright holder (that is to say SPI, Inc.)
to re-license or dual-license this file under a good GPL-compatible
license (such as the Expat license, or the GNU GPL v2-or-later).


Thanks for your attention.
Bye.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Fri, 17 Sep 2010 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 17 Sep 2010 21:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 597237@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Francesco Poli (t1000)" <frx@firenze.linux.it>
Cc: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Fri, 17 Sep 2010 23:26:52 +0200
On 09/17/2010 10:54 PM, Francesco Poli (t1000) wrote:
> This is the Debian Open Use Logo with the word "Debian", which
> fails to comply with the DFSG and cannot therefore be included
> in a package shipped in main.

this is so ridiculous (and yes, i've read the cited bugs and threads)..

instead of filling bugs about that, we should rather fix the problem and
(re)license our own stuff in a way that it's actually freely usable.

anyhow.. removed both the logo and the stylesheet in git and storing
them statically on live.debian.net instead.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Fri, 17 Sep 2010 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 17 Sep 2010 21:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: live-manual: includes non-free files
Date: Fri, 17 Sep 2010 23:34:10 +0200
[Message part 1 (text/plain, inline)]
found 597237 live-manual/1:2.0~a2-1
thanks


On Fri, 17 Sep 2010 22:54:29 +0200 Francesco Poli (t1000) wrote:

[...]
> Version: 1:2.0~a4-1
[...]
> According to
> http://packages.debian.org/changelogs/pool/main/l/live-manual/live-manual_2.0~a4-1/live-manual.copyright
> the live-manual package seems to include two non-free files.

Mmmmh, I forgot to check the version currently in testing.
It seems the bug is present in this version as well.

I am therefore adding one more "found" version to the bug report.

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug Marked as found in versions live-manual/1:2.0~a2-1. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Fri, 17 Sep 2010 21:39:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 18 Sep 2010 08:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 11:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 13:31:39 +0200
[Message part 1 (text/plain, inline)]
On Fri, 17 Sep 2010 23:26:52 +0200 Daniel Baumann wrote:

> On 09/17/2010 10:54 PM, Francesco Poli (t1000) wrote:
> > This is the Debian Open Use Logo with the word "Debian", which
> > fails to comply with the DFSG and cannot therefore be included
> > in a package shipped in main.
> 
> this is so ridiculous (and yes, i've read the cited bugs and threads)..

If you mean that having a non-free logo for a Free OS is ridiculous, I
somewhat agree with you.
And I've been repeating it since 2004:
http://lists.debian.org/debian-legal/2004/07/msg00208.html

> 
> instead of filling bugs about that, we should rather fix the problem and
> (re)license our own stuff in a way that it's actually freely usable.

Well, I've tried hard for quite some time to get this issue solved once
and for all.
I've raised the issue on debian-legal several times, I got in touch
with various DPLs, year after year, I talked with other people about
it...

The only step forward I witnessed was the re-licensing of the Debian
Open Use Logo without "Debian":
http://lists.debian.org/debian-legal/2008/11/msg00048.html

It seems that the Debian Open Use Logo with "Debian" was not
re-licensed in a DFSG-free manner because SPI's legal counsel raised
some concerns that such a move could weaken the enforceability of
trademark rights over the word "Debian":
http://lists.debian.org/debian-legal/2008/11/msg00063.html

So it seems that the Debian Open Use Logo with "Debian" will stay
non-free, unless we manage to persuade the decision-makers at SPI that
DFSG-freeness is more important than trademark rights...   :-(

The two Debian Official Use Logos were not touched, either.

> 
> anyhow.. removed both the logo and the stylesheet in git and storing
> them statically on live.debian.net instead.

I must say I am quite puzzled.

If I understand correctly, the following commit claims to fix the bug I
reported:
http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=30f57268ba82463e46f9627a687c6c0603918677
However, it does not delete (or even touch) the two troublesome files
(html/image.png and html/stylesheet.css)...
And it does not update the debian/copyright file, either.

Could you please clarify?



-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 16:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Sleight <bms@barwap.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 16:09:13 GMT) Full text and rfc822 format available.

Message #29 received at 597237@bugs.debian.org (full text, mbox):

From: Brendan Sleight <bms@barwap.com>
To: Francesco Poli <frx@firenze.linux.it>, 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 17:04:43 +0100
On 18 September 2010 12:31, Francesco Poli <frx@firenze.linux.it> wrote:
> On Fri, 17 Sep 2010 23:26:52 +0200 Daniel Baumann wrote:
>> this is so ridiculous (and yes, i've read the cited bugs and threads)..
Yep.

>> anyhow.. removed both the logo and the stylesheet in git and storing
>> them statically on live.debian.net instead.
>
> I must say I am quite puzzled.
>
> If I understand correctly, the following commit claims to fix the bug I
> reported:
> http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=30f57268ba82463e46f9627a687c6c0603918677
> However, it does not delete (or even touch) the two troublesome files
> (html/image.png and html/stylesheet.css)...
> And it does not update the debian/copyright file, either.
>
> Could you please clarify?

If I read the git commit correctly.

The package for making the *online* manual now longer contains the
files. The makefile has been updated. Hence the offending files are
not pulled in to the package.  The *online* manual now instead links
to the location of the files at live.debian.net.

Hope this clarifies and spares other the time and grey hair.

Regards,
Brendan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #34 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 18:25:14 +0200
[Message part 1 (text/plain, inline)]
On Sat, 18 Sep 2010 17:04:43 +0100 Brendan Sleight wrote:

> On 18 September 2010 12:31, Francesco Poli <frx@firenze.linux.it> wrote:
> > On Fri, 17 Sep 2010 23:26:52 +0200 Daniel Baumann wrote:
[...]
> >> anyhow.. removed both the logo and the stylesheet in git and storing
> >> them statically on live.debian.net instead.
> >
> > I must say I am quite puzzled.
> >
> > If I understand correctly, the following commit claims to fix the bug I
> > reported:
> > http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=30f57268ba82463e46f9627a687c6c0603918677
> > However, it does not delete (or even touch) the two troublesome files
> > (html/image.png and html/stylesheet.css)...
> > And it does not update the debian/copyright file, either.
> >
> > Could you please clarify?
> 
> If I read the git commit correctly.
> 
> The package for making the *online* manual now longer contains the
> files. The makefile has been updated. Hence the offending files are
> not pulled in to the package.  The *online* manual now instead links
> to the location of the files at live.debian.net.

But the two files are still there, it seems:
http://live.debian.net/gitweb?p=live-manual.git;a=tree;f=html;h=59f1d83bacbeeb560da1a05287c468bee9fae7de;hb=30f57268ba82463e46f9627a687c6c0603918677

Moreover, as I said, the debian/copyright file has not been modified.

All this makes me think that the Debian package live-manual will still
include the two non-free files, next time it is uploaded to unstable.
In other words, it seems to me that the bug has *not* been fixed!



-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Sleight <bms@barwap.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 16:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 597237@bugs.debian.org (full text, mbox):

From: Brendan Sleight <bms@barwap.com>
To: Francesco Poli <frx@firenze.linux.it>, 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 17:39:10 +0100
On 18 September 2010 17:25, Francesco Poli <frx@firenze.linux.it> wrote:
>> The package for making the *online* manual now longer contains the
>> files. The makefile has been updated. Hence the offending files are
>> not pulled in to the package.  The *online* manual now instead links
>> to the location of the files at live.debian.net.
>
> But the two files are still there, it seems:
> http://live.debian.net/gitweb?p=live-manual.git;a=tree;f=html;h=59f1d83bacbeeb560da1a05287c468bee9fae7de;hb=30f57268ba82463e46f9627a687c6c0603918677
>
> All this makes me think that the Debian package live-manual will still
> include the two non-free files, next time it is uploaded to unstable.
> In other words, it seems to me that the bug has *not* been fixed!

Yes the files are still in the Git repository. Please re-read the
above and the git commit.

The *package* does not contain these files. The package (against which
you files the bug) no longer contains the files. The online manual
links to the files (in the git repository - but these are not in the
source of the package),

For example, I could in a package have a html file which points to
http://www.google.co.uk/intl/en_com/images/srpr/logo1w.png the link
does not make the *package* non-free. As long as that package does not
contain the file(s), it is free.

Again I really hope this clarifies why the bug on the package is closed.

Regards,
Brendan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 17:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 17:18:04 GMT) Full text and rfc822 format available.

Message #44 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 19:15:14 +0200
[Message part 1 (text/plain, inline)]
On Sat, 18 Sep 2010 17:39:10 +0100 Brendan Sleight wrote:

> On 18 September 2010 17:25, Francesco Poli <frx@firenze.linux.it> wrote:
[...]
> > But the two files are still there, it seems:
> > http://live.debian.net/gitweb?p=live-manual.git;a=tree;f=html;h=59f1d83bacbeeb560da1a05287c468bee9fae7de;hb=30f57268ba82463e46f9627a687c6c0603918677
[...]
> Yes the files are still in the Git repository. Please re-read the
> above and the git commit.
> 
> The *package* does not contain these files. The package (against which
> you files the bug) no longer contains the files.

I trust your word for it.

Sorry for doubting this before: I was assuming that everything in the
git repository ended up in the source package...

> The online manual
> links to the files (in the git repository - but these are not in the
> source of the package),

Hence the online manual is still non-free, even though with the
non-free part stored in a separate place...
Not a bug in the Debian package, but something to fix anyway, I would
think!

> 
> For example, I could in a package have a html file which points to
> http://www.google.co.uk/intl/en_com/images/srpr/logo1w.png the link
> does not make the *package* non-free. As long as that package does not
> contain the file(s), it is free.

Such hypothetical package would not include non-free files, that's
true, but that HTML file would not be readable in its intended form
when off-line, for instance.
I would tend to consider such package as flawed...

> 
> Again I really hope this clarifies why the bug on the package is closed.

The debian/copyright file still seems to need an update, though.


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Sleight <bms@barwap.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 17:57:06 GMT) Full text and rfc822 format available.

Message #49 received at 597237@bugs.debian.org (full text, mbox):

From: Brendan Sleight <bms@barwap.com>
To: Francesco Poli <frx@firenze.linux.it>, 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 18:55:34 +0100
On 18 September 2010 18:15, Francesco Poli <frx@firenze.linux.it> wrote:
> I trust your word for it.
Hmm.

> Not a bug in the Debian package, but something to fix anyway, I would
> think!
Patches welcome.

> Such hypothetical package would not include non-free files, that's
> true, but that HTML file would not be readable in its intended form
> when off-line, for instance.
> I would tend to consider such package as flawed...
Yes, a flaw for this package for an *online* manual is that it would
be missing an image when read offline.

> The debian/copyright file still seems to need an update, though.
Now I am confused, please submit a patch to explain the deficiency in
the *package* as I can not find one.

Regards,
Brendan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 20:15:06 GMT) Full text and rfc822 format available.

Message #54 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 22:08:23 +0200
[Message part 1 (text/plain, inline)]
On Sat, 18 Sep 2010 18:55:34 +0100 Brendan Sleight wrote:

> On 18 September 2010 18:15, Francesco Poli <frx@firenze.linux.it> wrote:
[...]
> > Not a bug in the Debian package, but something to fix anyway, I would
> > think!
> Patches welcome.

Please take one more look at the original bug report I submitted:
there I suggested how to fix the issues I reported.

> 
> > Such hypothetical package would not include non-free files, that's
> > true, but that HTML file would not be readable in its intended form
> > when off-line, for instance.
> > I would tend to consider such package as flawed...
> Yes, a flaw for this package for an *online* manual is that it would
> be missing an image when read offline.

It would be missing an image and a CSS stylesheet, if I understand
correctly.

On some systems with a dial-up-on-demand Internet link, it could even
unexpectedly trigger a (more or less) costly dial-up connection, when a
user is just browsing what he/she thinks is an HTML manual included in
an installed package...  but anyway...

> 
> > The debian/copyright file still seems to need an update, though.
> Now I am confused, please submit a patch to explain the deficiency in
> the *package* as I can not find one.

I am talking about the debian/copyright file in the Debian package:
http://live.debian.net/gitweb?p=live-manual.git;a=blob;f=debian/copyright;h=653c931274967b2b68d3f3fefe5006de3762ecda;hb=30f57268ba82463e46f9627a687c6c0603918677

It seems to still includes entries for html/image.png and
html/stylesheet.css : you claim that those two non-free files are no
longer included in the Debian package.
If they have been indeed removed from the Debian package (both source
and binary), then they should no longer be mentioned in the
debian/copyright file: their entries should be dropped.

I can describe the patch in words: remove everything from the
debian/copyright file, starting from line 44 up to the end of the
file...


However, I still think that the best way to fix the bug is replacing
the non-free logo with the DFSG-free one (the swirl without the word
"Debian") and getting the stylesheet re-licensed or dual-licensed in a
DFSG-free manner (as I suggested in my original bug report).


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Sleight <bms@barwap.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 21:03:05 GMT) Full text and rfc822 format available.

Message #59 received at 597237@bugs.debian.org (full text, mbox):

From: Brendan Sleight <bms@barwap.com>
To: Francesco Poli <frx@firenze.linux.it>, 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sat, 18 Sep 2010 22:01:39 +0100
[Message part 1 (text/plain, inline)]
On 18 September 2010 21:08, Francesco Poli <frx@firenze.linux.it> wrote:
>> Yes, a flaw for this package for an *online* manual is that it would
...
>> be missing an image when read offline.
...
> user is just browsing what he/she thinks is an HTML manual included in
> an installed package...  but anyway...
An online manual, it is not included in any other package - it is a
package for an online manual.

> html/stylesheet.css : you claim that those two non-free files are no
It is free and open source. Trust and claim ? These are harsh words.

> I can describe the patch in words: remove everything from the
> debian/copyright file, starting from line 44 up to the end of the
> file...
Patch attached.

Regards,
Brendan
[patch1.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 22:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 22:33:09 GMT) Full text and rfc822 format available.

Message #64 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 00:30:51 +0200
[Message part 1 (text/plain, inline)]
On Sat, 18 Sep 2010 22:01:39 +0100 Brendan Sleight wrote:

> On 18 September 2010 21:08, Francesco Poli <frx@firenze.linux.it> wrote:
[...]
> > html/stylesheet.css : you claim that those two non-free files are no
> It is free and open source. Trust and claim ? These are harsh words.

I apologize if I sounded harsh, please take into account that I am not
an English native speaker and hence I may sometimes fail to choose the
best words to express my reasoning.

> 
> > I can describe the patch in words: remove everything from the
> > debian/copyright file, starting from line 44 up to the end of the
> > file...
> Patch attached.

Thanks, please apply the patch.


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 23:18:02 GMT) Full text and rfc822 format available.

Message #69 received at 597237@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 01:15:33 +0200
On 09/18/2010 01:31 PM, Francesco Poli wrote:
> If I understand correctly, the following commit claims to fix the bug I
> reported:
> http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=30f57268ba82463e46f9627a687c6c0603918677

i removed the html thing and indeed updated the copyright file, but put
that into a stash since i had to leave and forgot to apply it when i did
above commit, will correct with the next upload..

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sat, 18 Sep 2010 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Sep 2010 23:21:03 GMT) Full text and rfc822 format available.

Message #74 received at 597237@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 01:19:10 +0200
On 09/18/2010 07:15 PM, Francesco Poli wrote:
> Hence the online manual is still non-free, even though with the
> non-free part stored in a separate place...

so are many, many webpage on debian.org, feel free to fix serious bug
reports about that too.

however, since apparently debian people do not even care about *real*[0]
license violations, sadly, i would not be surprised if they don't care
about that too...

[0] #497471, #507706

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #79 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 11:01:27 +0200
[Message part 1 (text/plain, inline)]
On Sun, 19 Sep 2010 01:15:33 +0200 Daniel Baumann wrote:

> On 09/18/2010 01:31 PM, Francesco Poli wrote:
> > If I understand correctly, the following commit claims to fix the bug I
> > reported:
> > http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=30f57268ba82463e46f9627a687c6c0603918677
> 
> i removed the html thing and indeed updated the copyright file, but put
> that into a stash since i had to leave and forgot to apply it when i did
> above commit,

Ah, that explains everything!
Thanks for clarifying.

> will correct with the next upload..

Good, the following commit indeed seems to fix the bug:
http://live.debian.net/gitweb?p=live-manual.git;a=commitdiff;h=7038ae33b7f303da7edfc5f510179d6ff349ae16

Thanks a lot!

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 09:45:03 GMT) Full text and rfc822 format available.

Message #84 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 11:39:46 +0200
[Message part 1 (text/plain, inline)]
On Sun, 19 Sep 2010 01:19:10 +0200 Daniel Baumann wrote:

> On 09/18/2010 07:15 PM, Francesco Poli wrote:
> > Hence the online manual is still non-free, even though with the
> > non-free part stored in a separate place...
> 
> so are many, many webpage on debian.org,

Sad but true, see the whole bug #238245 for the details (I commented
that bug more than once, by the way).

> feel free to fix serious bug
> reports about that too.

I have no power to fix bug #238245 (please also take into account that
the copyright holder is not SPI, but a large number of individual
contributors, see the cloned bug #388141): I am not even a DD and I
have never contributed anything to the Debian website...
A decision must be taken and then all the copyright holders must be
tracked down, contacted and asked to agree to the re-licensing.

If you are willing to help me in generating a reliable list of
copyright holders for the Debian website (I think the place to look at
is the WWW CVS), I can draft a standardized e-mail message to send to
each one of them and collect their replies (those replies should be
sent to the e-mail address of bug #238245 or maybe #388141).

> 
> however, since apparently debian people do not even care about *real*[0]
> license violations, sadly, i would not be surprised if they don't care
> about that too...
> 
> [0] #497471, #507706

This is discouraging, indeed...   :-(

Unfortunately, I've already encountered several cases where I was
disappointed by the lack of strictness with which the Debian SC (or
even the law) is complied with within the Debian Project.   :-(

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <rama@snail.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #89 received at 597237@bugs.debian.org (full text, mbox):

From: <rama@snail.org.uk>
To: Francesco Poli <frx@firenze.linux.it>, <597237@bugs.debian.org>
Cc: <daniel@debian.org>
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 16:37:56 +0200
On Sun, 19 Sep 2010 11:39:46 +0200, Francesco Poli <frx@firenze.linux.it>
wrote:

> A decision must be taken and then all the copyright holders must be
> tracked down, contacted and asked to agree to the re-licensing.

I'd suggest such a decision be appended to the upcoming manual's toDo
<http://live.debian.net/devel/live-manual/todo/>
Updated toDo will help explain to the copyright holders too.

If its (re)licencing 'our own stuff' - so be it. 
   
> If you are willing to help me in generating a reliable list of
> copyright holders for the Debian website (I think the place to look at
> is the WWW CVS), I can draft a standardized e-mail message to send to
> each one of them and collect their replies (those replies should be
> sent to the e-mail address of bug #238245 or maybe #388141).

Yes willing to help. 
I'll mail you once I start to locate enough copyright holders.

[...]
> disappointed by the lack of strictness with which the Debian SC (or
> even the law) is complied with within the Debian Project.   :-(

Personally I'm not happy about the position on GFDL - but thats an
unrelated matter I guess.

All the best,

Ram




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #94 received at 597237@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: rama@snail.org.uk
Cc: Francesco Poli <frx@firenze.linux.it>, 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 17:25:00 +0200
On 09/19/2010 04:37 PM, rama@snail.org.uk wrote:
> I'd suggest such a decision be appended to the upcoming manual's toDo
> <http://live.debian.net/devel/live-manual/todo/>
> Updated toDo will help explain to the copyright holders too.

hm? it's about the debian logo, nothing about live-* stuff.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 15:48:05 GMT) Full text and rfc822 format available.

Message #99 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 17:43:54 +0200
[Message part 1 (text/plain, inline)]
On Sun, 19 Sep 2010 16:37:56 +0200 rama@snail.org.uk wrote:

> On Sun, 19 Sep 2010 11:39:46 +0200, Francesco Poli <frx@firenze.linux.it>
> wrote:
> 
> > A decision must be taken and then all the copyright holders must be
> > tracked down, contacted and asked to agree to the re-licensing.
> 
> I'd suggest such a decision be appended to the upcoming manual's toDo
> <http://live.debian.net/devel/live-manual/todo/>
> Updated toDo will help explain to the copyright holders too.

Please note that we are talking about the Debian website
<http://www.debian.org> and its copyright notice and license
<http://www.debian.org/license>.

Hence I would tend to think that the Debian Live Manual todo list
<http://live.debian.net/devel/live-manual/todo/> is *not* the most
appropriate place for talking about the re-licensing of the Debian
website...

> 
> If its (re)licencing 'our own stuff' - so be it. 
>    
> > If you are willing to help me in generating a reliable list of
> > copyright holders for the Debian website (I think the place to look at
> > is the WWW CVS), I can draft a standardized e-mail message to send to
> > each one of them and collect their replies (those replies should be
> > sent to the e-mail address of bug #238245 or maybe #388141).
> 
> Yes willing to help. 
> I'll mail you once I start to locate enough copyright holders.

I think we should start this discussion over on the bug log of #238245,
where it really belongs.
So, if you are willing to help in generating a reliable list of
copyright holders for the Debian website, please say so here and I'll
move the discussion to the bug log of #238245.

> 
> [...]
> > disappointed by the lack of strictness with which the Debian SC (or
> > even the law) is complied with within the Debian Project.   :-(
> 
> Personally I'm not happy about the position on GFDL - but thats an
> unrelated matter I guess.

I am personally convinced that the right outcome should have been
Option 1 "GFDL-licensed works are unsuitable for main in all cases",
but you're right that this is another story...

> 
> All the best,

The same to you!

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#597237; Package live-manual. (Sun, 19 Sep 2010 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Sep 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #104 received at 597237@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 597237@bugs.debian.org
Subject: Re: Bug#597237: live-manual: includes non-free files
Date: Sun, 19 Sep 2010 17:48:31 +0200
[Message part 1 (text/plain, inline)]
On Sun, 19 Sep 2010 17:25:00 +0200 Daniel Baumann wrote:

> On 09/19/2010 04:37 PM, rama@snail.org.uk wrote:
> > I'd suggest such a decision be appended to the upcoming manual's toDo
> > <http://live.debian.net/devel/live-manual/todo/>
> > Updated toDo will help explain to the copyright holders too.
> 
> hm? it's about the debian logo, nothing about live-* stuff.

Wait, we were talking about the Debian website, not about Debian
logos...

Anyway, as I've just said to rama, I agree with you that the Debian
Live Manual todo list is not the most appropriate place for that.


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 20 Sep 2010 12:21:03 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
Bug acknowledged by developer. (Mon, 20 Sep 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #109 received at 597237-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 597237-close@bugs.debian.org
Subject: Bug#597237: fixed in live-manual 1:2.0~a6-1
Date: Mon, 20 Sep 2010 12:17:18 +0000
Source: live-manual
Source-Version: 1:2.0~a6-1

We believe that the bug you reported is fixed in the latest version of
live-manual, which is due to be installed in the Debian FTP archive:

live-manual-epub_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual-epub_2.0~a6-1_all.deb
live-manual-html_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual-html_2.0~a6-1_all.deb
live-manual-odf_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual-odf_2.0~a6-1_all.deb
live-manual-pdf_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual-pdf_2.0~a6-1_all.deb
live-manual-txt_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual-txt_2.0~a6-1_all.deb
live-manual_2.0~a6-1.diff.gz
  to main/l/live-manual/live-manual_2.0~a6-1.diff.gz
live-manual_2.0~a6-1.dsc
  to main/l/live-manual/live-manual_2.0~a6-1.dsc
live-manual_2.0~a6-1_all.deb
  to main/l/live-manual/live-manual_2.0~a6-1_all.deb
live-manual_2.0~a6.orig.tar.gz
  to main/l/live-manual/live-manual_2.0~a6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597237@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-manual package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Sep 2010 23:45:30 +0200
Source: live-manual
Binary: live-manual live-manual-epub live-manual-html live-manual-odf live-manual-pdf live-manual-txt
Architecture: source all
Version: 1:2.0~a6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-manual - Debian Live - Documentation (metapackage)
 live-manual-epub - Debian Live - Documentation (epub)
 live-manual-html - Debian Live - Documentation (html)
 live-manual-odf - Debian Live - Documentation (odf)
 live-manual-pdf - Debian Live - Documentation (pdf)
 live-manual-txt - Debian Live - Documentation (txt)
Closes: 597237
Changes: 
 live-manual (1:2.0~a6-1) unstable; urgency=low
 .
   * Updating regex for package markups.
   * Updating about_manual for squeeze.
   * Updating other_installation for squeeze.
   * Moving reviewed other_installation to user section.
   * Replacing forgotten reference to live-helper with live-build in
     about_project.
   * Updating other_basics for squeeze.
   * Moving reviewed other_basics to user section.
   * Regenerating po files.
   * Removing old French partial translation, based on etch contents.
   * Updating other_overview for squeeze.
   * Moving reviewed other_overview to user section.
   * Adding mandatory spaces for include lines, otherwise sisu skips
     them.
   * Updating autobuild related things to sisu pathes.
   * Skipping pdf files in autobuild for the moment, sisu has troubles on
     lenny, see http://lists.sisudoc.org/pipermail/sisu/2010-
     September/000045.html.
   * Using same languages in autobuild as in build.
   * Also copying sisu dotfiles into language specific build directories.
   * Updating other_customization-packages for squeeze.
   * Moving reviewed other_customization-packages to user section.
   * Removing undistributable Debian logo (Closes: #597237).
   * Correcting typo in path of install target in makefile.
   * Regenerating po files.
Checksums-Sha1: 
 4551efb69b057edc8ba591e1d5d9feaff125a08c 1390 live-manual_2.0~a6-1.dsc
 665cc8993989340a94a2d987882ee5f9c0982d2d 218311 live-manual_2.0~a6.orig.tar.gz
 8461f1a33fd6882242b37862b305f88014aec384 10719 live-manual_2.0~a6-1.diff.gz
 e0c7df226665d917bc614a464dc80807ccf0ab4d 11846 live-manual_2.0~a6-1_all.deb
 5494bc74c724a1d23e4f685889ac9583ac6f1a18 93752 live-manual-epub_2.0~a6-1_all.deb
 ac44d66104705dca42b1af83868ef0b4b521a1ce 186540 live-manual-html_2.0~a6-1_all.deb
 2d6468c7b42715ee5f05440680a13db7db68fefc 60604 live-manual-odf_2.0~a6-1_all.deb
 b47e243410dad477a9799dc6167d3cfc24586b80 1086318 live-manual-pdf_2.0~a6-1_all.deb
 b7e0f579d202606c3a9d4bb3d4e6feea7afae494 49750 live-manual-txt_2.0~a6-1_all.deb
Checksums-Sha256: 
 7a283d2abf33a0460a9ee150527e3c10cc13d26b7dfa85e1afd31fa715cfac66 1390 live-manual_2.0~a6-1.dsc
 3c66604d4f2f879ff6f62c8023d1df50dea82118a63259ed98bec94c4ed9877c 218311 live-manual_2.0~a6.orig.tar.gz
 8f5816404ef10404630c603692518e01c53b75d4cb958ac6c64ce98301b3435c 10719 live-manual_2.0~a6-1.diff.gz
 c7b4a60dfc917da7626332bb3df3f55760c4a1962fcfcd2568ebf3c89b46ad67 11846 live-manual_2.0~a6-1_all.deb
 f3ccf290a33ac4e2495893db9e0b64991798f694bc3ef06b2851f3f0402449e0 93752 live-manual-epub_2.0~a6-1_all.deb
 fb1f5b2727f517f049f145ac3c070757f4e0ba6737d33c098c8c4e0f3f3a9a4c 186540 live-manual-html_2.0~a6-1_all.deb
 55afa315610bd0b64a14736dc8ec892838bac0368a39f911917c6d85efad7268 60604 live-manual-odf_2.0~a6-1_all.deb
 7a3abfe57244c5e144240eedac3b998bcfb111eea311c531cbfd14dc5462fa14 1086318 live-manual-pdf_2.0~a6-1_all.deb
 18f7b52509575a3337ca90075016d85161ec6809eb160691d1b07a2dfb7e9548 49750 live-manual-txt_2.0~a6-1_all.deb
Files: 
 853f786ab1884dc29e1754ed13952dd2 1390 doc optional live-manual_2.0~a6-1.dsc
 f5f9669298a3c657af82b991981559b2 218311 doc optional live-manual_2.0~a6.orig.tar.gz
 db168b6d7da9fd909790c128d3e9dea9 10719 doc optional live-manual_2.0~a6-1.diff.gz
 f3bbd6e08bf69c8ffe708235f1aae718 11846 doc optional live-manual_2.0~a6-1_all.deb
 97d6c922bb04b7be121a4845937a6c4b 93752 doc optional live-manual-epub_2.0~a6-1_all.deb
 1adc88bff9bf7ba84313dc6794ddc704 186540 doc optional live-manual-html_2.0~a6-1_all.deb
 9f0be493b41abb0fc96000a5edf32e18 60604 doc optional live-manual-odf_2.0~a6-1_all.deb
 1004fc123d4eb2c5a7904e55918b5c98 1086318 doc optional live-manual-pdf_2.0~a6-1_all.deb
 f6146ab34d65e84160c52950601023a2 49750 doc optional live-manual-txt_2.0~a6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyT4s8ACgkQ+C5cwEsrK55bcgCfQYsSKGGw3Hw2uyn1WMDWYeKE
PKkAniKNsatJuDOGidOkz2mbDrtQPvTN
=Mz+s
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 20 Sep 2010 12:21:06 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
Bug acknowledged by developer. (Mon, 20 Sep 2010 12:21:06 GMT) Full text and rfc822 format available.

Message #114 received at 597237-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 597237-close@bugs.debian.org
Subject: Bug#597237: fixed in live-manual 1:2.0~a7-1
Date: Mon, 20 Sep 2010 12:17:29 +0000
Source: live-manual
Source-Version: 1:2.0~a7-1

We believe that the bug you reported is fixed in the latest version of
live-manual, which is due to be installed in the Debian FTP archive:

live-manual-epub_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual-epub_2.0~a7-1_all.deb
live-manual-html_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual-html_2.0~a7-1_all.deb
live-manual-odf_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual-odf_2.0~a7-1_all.deb
live-manual-pdf_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual-pdf_2.0~a7-1_all.deb
live-manual-txt_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual-txt_2.0~a7-1_all.deb
live-manual_2.0~a7-1.diff.gz
  to main/l/live-manual/live-manual_2.0~a7-1.diff.gz
live-manual_2.0~a7-1.dsc
  to main/l/live-manual/live-manual_2.0~a7-1.dsc
live-manual_2.0~a7-1_all.deb
  to main/l/live-manual/live-manual_2.0~a7-1_all.deb
live-manual_2.0~a7.orig.tar.gz
  to main/l/live-manual/live-manual_2.0~a7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597237@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-manual package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Sep 2010 01:24:08 +0200
Source: live-manual
Binary: live-manual live-manual-epub live-manual-html live-manual-odf live-manual-pdf live-manual-txt
Architecture: source all
Version: 1:2.0~a7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-manual - Debian Live - Documentation (metapackage)
 live-manual-epub - Debian Live - Documentation (epub)
 live-manual-html - Debian Live - Documentation (html)
 live-manual-odf - Debian Live - Documentation (odf)
 live-manual-pdf - Debian Live - Documentation (pdf)
 live-manual-txt - Debian Live - Documentation (txt)
Closes: 597237
Changes: 
 live-manual (1:2.0~a7-1) unstable; urgency=low
 .
   * Updating other_customization-contents for squeeze.
   * Moving reviewed other_customization-contents to user section.
   * Really removing undistributable Debian logo (Closes: #597237).
Checksums-Sha1: 
 5cb49e6016a3a0faff5491f00323c1f7ef164efb 1387 live-manual_2.0~a7-1.dsc
 b5844a3a1dca79f320f90af95dca0c5219af4a10 207373 live-manual_2.0~a7.orig.tar.gz
 7fb579dcbab209ea4897a3e4c3b7f387143e9ea8 8214 live-manual_2.0~a7-1.diff.gz
 a34b8fd1438a87abeb1746afa728d202c536959a 8882 live-manual_2.0~a7-1_all.deb
 13f6a84c5bc485e0a17087f1faf46271b0365aef 90820 live-manual-epub_2.0~a7-1_all.deb
 2bcd8e12c4b2109c4a328a5787723c92264e1622 183788 live-manual-html_2.0~a7-1_all.deb
 f34a4aa45123862bd48bfb6beec6cd95154abb53 57528 live-manual-odf_2.0~a7-1_all.deb
 ad0c47d87f896f9b0a3595ec43a567fafb7759fb 1082626 live-manual-pdf_2.0~a7-1_all.deb
 6d9b556d92b20d5181b999c7ab1abaa7d27307d8 46744 live-manual-txt_2.0~a7-1_all.deb
Checksums-Sha256: 
 8e52221f5b4bd27cb9e13d96a870f8900e7476c6a53ac624b3cb146665eb3564 1387 live-manual_2.0~a7-1.dsc
 a56a5d15a30a03f920460168d454f02870af163ff95df477e086c5ddf90c8087 207373 live-manual_2.0~a7.orig.tar.gz
 52475eff73bcf95f20b64cdd330b102202e957eca3044eaac9a7f9f3b8d60f81 8214 live-manual_2.0~a7-1.diff.gz
 9fe60f89f8ac55163d04ad6959ad2b3df8741dae4f0271b1892e57e12259a5e0 8882 live-manual_2.0~a7-1_all.deb
 7f21e26dd25ca5be8677c4ad1e0adc965d0363c69ade30089a84e741061791f3 90820 live-manual-epub_2.0~a7-1_all.deb
 043f1e07ac20ff061114b01f92859cbdb664333d44b74d220aa0337f653492a7 183788 live-manual-html_2.0~a7-1_all.deb
 8186a1be766311d3bdaeb4ee5c3374629349ee830d3a1af9f176adbdaf69040b 57528 live-manual-odf_2.0~a7-1_all.deb
 4ba935b5191f71b7f357f3e85685665d74294b2218ec5f6fd20fcff82d2463f6 1082626 live-manual-pdf_2.0~a7-1_all.deb
 883177f42c2da4d500d0045dad2920a4b7299efe03db58934308ebf9db5e72e2 46744 live-manual-txt_2.0~a7-1_all.deb
Files: 
 fd33620ce2805acb9db6dff82e08ad6b 1387 doc optional live-manual_2.0~a7-1.dsc
 20a7ee5fefbb98216d51a5c52f5ebb58 207373 doc optional live-manual_2.0~a7.orig.tar.gz
 8d379ab0cbc531b21f7b31a3cafb7cfb 8214 doc optional live-manual_2.0~a7-1.diff.gz
 2c371235468ea9aabc633ec73279b284 8882 doc optional live-manual_2.0~a7-1_all.deb
 b6821e109de8a8d5175de335ab287e82 90820 doc optional live-manual-epub_2.0~a7-1_all.deb
 34b95a7b849e86a04fb19868ea2f7be9 183788 doc optional live-manual-html_2.0~a7-1_all.deb
 b7254a6e4a21b2bfd34dac0f3b83b337 57528 doc optional live-manual-odf_2.0~a7-1_all.deb
 a844db2d35ebf19e879280e384ca8ca0 1082626 doc optional live-manual-pdf_2.0~a7-1_all.deb
 1f95662048ee2523485896be519b31a4 46744 doc optional live-manual-txt_2.0~a7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyVSzgACgkQ+C5cwEsrK57LJQCgwzLwUXRBYWgjsZXr/33aM/jp
NSwAoKk6t2IIz4qCF9hDpUrHonXEfn7A
=oQzO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Oct 2010 07:32:24 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:15:16 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from '"Francesco Poli \(t1000\)" <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:15:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:15:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:28:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.